kr.co.hanwha.hifive.screen.search

## Class SearchPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.search.SearchPresenter

- All Implemented Interfaces:
    BasePresenter, SearchContract.Presenter

      public class SearchPresenter
      extends java.lang.Object
      implements SearchContract.Presenter

  검색 Presenter

  See Also:
    `Created by sanghoonkwon on 2018. 1. 23..`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SearchTaskListContract.Model` | `mListModel`
    `private SearchTaskListContract.View` | `mListView`
    `private SearchContract.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchPresenter(SearchContract.View view, SearchTaskListContract.Model listModel, SearchTaskListContract.View listView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `void` | `doSearch(java.lang.String text)`
    `android.content.Context` | `getContext()`
    `void` | `initRecentKeyword()` 최근 검색어 조회

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mView

          private SearchContract.View mView

    - #### mListModel

          private SearchTaskListContract.Model mListModel

    - #### mListView

          private SearchTaskListContract.View mListView

  - ### Constructor Detail

    - #### SearchPresenter

          public SearchPresenter(@NonNull
                                 SearchContract.View view,
                                 @NonNull
                                 SearchTaskListContract.Model listModel,
                                 @NonNull
                                 SearchTaskListContract.View listView)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### initRecentKeyword

          public void initRecentKeyword()

      Description copied from interface: `SearchContract.Presenter`
      최근 검색어 조회
      Specified by:
        `initRecentKeyword` in interface `SearchContract.Presenter`

    - #### doSearch

          public void doSearch(@NonNull
                               java.lang.String text)

      Specified by:
        `doSearch` in interface `SearchContract.Presenter`